Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## emn.fr.ascola.extractor
Class Communications

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,InfoCom>
              emn.fr.ascola.extractor.Communications

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,InfoCom>

    public class Communications

extends java.util.HashMap<java.lang.String,InfoCom>

Class to store communications.

Author:
  jroyer
See Also:
  Serialized Form

Constructor Summary
`Communications()` Default constructor.

Method Summary
`void` | `addCom(java.lang.String em, java.lang.String rec, org.eclipse.jdt.core.dom.IMethodBinding im)` Add in the communications of emitter em the receiver rec with the message mesg.
`void` | `checkRequiredProvided()` Check that each required of each type is also provided.
`InfoCom` | `getCom(java.lang.String em)` Get the communications of an emitter.
`java.lang.String` | `toString()` String description.

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### Communications

    public Communications()

  Default constructor.

Method Detail

### getCom

    public InfoCom getCom(java.lang.String em)

  Get the communications of an emitter.

  Parameters:
    `em` -
  Returns:

### addCom

    public void addCom(java.lang.String em,
                       java.lang.String rec,
                       org.eclipse.jdt.core.dom.IMethodBinding im)

  Add in the communications of emitter em the receiver rec with the message mesg.

  Parameters:
    `em` -
    `rec` -
    `im` -

### toString

    public java.lang.String toString()

  String description.

  Overrides:
    `toString` in class `java.util.AbstractMap<java.lang.String,InfoCom>`

### checkRequiredProvided

    public void checkRequiredProvided()

  Check that each required of each type is also provided. TODO ameliore le retour

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD